\chapter{Introduction}





\section{Plan for the course}

The course will consist of two or three parts, depending on what times permits.



\subsection{First part of the course}

In the first part of the course we will be interested in~\algebras{$\kf$}.
Let~$A$ be an associative, unital~\algebra{$\kf$}, where~$\kf$ is a field.
We will define both the Hochschild homology of~$A$, denoted by~$\HH_\bullet(A)$, and the Hochschild cohomology of~$A$, denoted by~$\HH^\bullet(A)$.
These are certain invariants of~$A$, which will a priori be vector spaces.
We will be interested in the following two questions.

\begin{itemize*}
	\item
		What do these invariants measure/represent?
	\item
		What kind of additional structures do these invariants have, or can be endowed with?
\end{itemize*}

We will find that Hochschild (co)homology carries a very rich structure.
We will apply this additional structure (especially the one on Hochschild cohomology) to study some deformation theory of algebras.

We will also consider the special case in which~$A$ is commutative.
In this case, we will gain important new tools to study the two questions above
We can then also consider deformation theory from a geometric point of view, and combine this geometric point of view with the previous, algebraic one.

There may also be an extra lecture on cyclic homology, or on more computational aspectsof Hochschild (co)homology (via computer software).

This first part of the course will cover roughly 5--7 weeks.
We will be mostly interested in Hochschild cohomology, but we will also talk about Hochschild homology.



\subsection{Second part of the course}

The second part of the course will be about the Hochschild cohomology of smooth, projective varieties.
Let~$X$ be such a smooth, projective (or even quasi-projective) variety over~$\kf$.
We will define the Hochschild cohomology of~$X$, which will be denoted by~$\HH^\bullet(X)$, and the Hochschild homology of~$X$, which will be denoted by~$\HH_\bullet(X)$.
Our study of this Hochschild (co)homology will have two main areas of concern.

\begin{itemize*}
	\item
		We will again try to understand what these invariants measure.
		This will once again lead us to deformation theory.
	\item
		We will study the Hochschild--Kostant--Rosenberg decomposition, which will be closely related to the special case of commutative algebras from the first part of the lecture.
		This decomposition will give us a very important tool for the study of Hochschild (co)homology of varieties.
		There are also some really interesting, modern applications of this machinery.
\end{itemize*}



\subsection{Possible third part of the course}

There may be a third part in this course about the Hochschild (co)homology of dg~categories, if time allows for it.
This will provide us with a good unification for the two types of Hochschild (co)homology that we will have studied until then.
We will then also be able to discuss the limited functoriality of Hochschild (co)homology:
We are going to see a few times throughout this course that Hochschild (co)homology is somewhat akward in some of its aspects, especially when it comes to functoriality.
With the help of dg~categories we will be able to at least partially resolve some of this akwardness.





\section{Some historical preliminaries}

The algebraic side of Hochschild cohomology goes back a rather long way.
Hochschild cohomology was first introduced by Gerhard Hochschild in~1945 \cite{hochschild_cohomology_of_associative_algebras}.%
\footnote{
	Hochschild wrote this paper while he was stationed in Aberdeen Proving Ground, Maryland,~USA.
}
His approach was very similar to, and motivated by, the introduction of group (co)homology by Eilenberg and MacLane at the same time.%
\footnote{
	Hochschild references some unpublished and unnamed material by Eilenberg--MacLane in his original article, as well as an announcement of an -- at the time -- upcoming paper by the two authors.
	The author of this footnote was not able find this upcoming paper, but found instead a paper by the Eilenberg--MacLane with a nearly identical title that was published around the same time \cite{eilenberg-maclane_cohomology_in_abstract_groups}.
}

Hochschild (co)homology stayed mostly dormant for the next few years.
But in~1962 it not only awoke from its slumber, but also started to experience rapid growth.
First, Hochschild, Kostant and Rosenberg considered the geometric point of view by calculating the Hochschild cohomology of commutative algebras \cite{hochschild_kostant_rosenberg_differential_forms_on_algebras}.
In the following year, Gerstenhaber showed that the Hochschild cohomology of an algebra carries itself an algebrac structure:
both a multiplication and a Lie bracket, in a compatible way \cite{gerstenhaber_cohomology_structure_ring}.
Only a few month later, Gerstenhaber used this additional structure to investigate the deformation theory of algebras \cite{gerstenhaber_deformation_rings_algebras}.





\section{Literature}

There exist lecture notes from a previous course on Hochschild (co)homology, which is somewhat of a predecessor to this course.
These notes are available on the lecturer’s website \cite{belmans_hochschild}.
The notes are not finished, especially towards the end, and the current lecture course will gradually diverge from this previous course.
The current course is going to focus more on the geometric aspects of the theory, and less on the categorical ones.

There are essentially three textbooks on (aspects of) Hochschild (co)homology.

There is a classical book by Loday \cite{loday_cyclic_homology}.
The focus of this course will be different from the one in this book, but it is nevertheless a good reference.
However, beware that the way in which this book covers Hochschild (co)homoloy is a little bit outdated (e.g. when it comes notation and terminology).
So be careful when you read this book!

Weibel’s classical book on homological algebra has a chapter on Hochschild (co)homology (and cyclic (co)homology) \cite[Chapter~9]{weibel_homological_algebra}.
If you decide to read this book, beware that there is a non-trivial ammount of typos in it.
So you definitely need to check out the errata for this book \cite{weibel_homological_algebra_errata}!

Lastly, there is a more modern textbook by Witherspoon \cite{witherspoon_hochschild_for_algebras}.
(It is more modern than Weibel’s book, and \emph{definitely} more modern that Loday’s book.)
This book is a very good reference for the first part of the course (before we upgrade to varieties and schemes).
